NOP(1)

NAME
dijkstra - single-source distance filter

SYNOPSIS
dijkstra [ sourcenode file ]

DESCRIPTION
dijkstra reads a stream of graphs and for each computes the distance of every node from sourcenode. Edge length is given in the len attribute, and the default is 1. The dist attribute of every node is set to its distance from sourcenode. The global variable maxdist is set to the maximum dist of all nodes in the graph. Any number of sourcenode file pairs may be given.

In a typical application, dist and maxdist can drive a downstream calculation of color or some other attribute.

SEE ALSO
gvpr(1), gvcolor(1), libgraph(3)